<ion-header [translucent]="true">
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-menu-button></ion-menu-button>
        </ion-buttons>
        <ion-icon slot="start" name="home"></ion-icon>
        <ion-title>{{ "HEADER.MENU.HOME" | translate }}</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
    <div id="container">
        <ion-card *ngFor="let notif of data | notifications">
            <ion-item>
                <ion-thumbnail slot="start" [ngSwitch]="notif.sensor">
                    <ion-icon *ngSwitchCase="0" [ngStyle]="{'color': '#03A9F4'}" name="water" size="large"></ion-icon>
                    <ion-icon *ngSwitchCase="1" [ngStyle]="{'color': '#FFC107'}" name="sunny" size="large"></ion-icon>
                    <ion-icon *ngSwitchCase="2" [ngStyle]="{'color': '#66C139'}" name="podium" size="large"></ion-icon>
                    <ion-icon *ngSwitchCase="3" [ngStyle]="{'color': '#F44336'}" name="bonfire" size="large"></ion-icon>
                    <ion-icon *ngIf="notif.notificationType == 0" name="warning" class="icon-alert icon-error"></ion-icon>
                    <ion-icon *ngIf="notif.notificationType == 1" name="alert" class="icon-alert icon-warning"></ion-icon>
                </ion-thumbnail>
                <ion-card-header>
                    <ion-card-subtitle>{{ notif.date | date:'dd/MM/yyyy - HH:mm' }}</ion-card-subtitle>
                    <ion-card-title>{{ notif.msg }}</ion-card-title>
                </ion-card-header>
                <ion-thumbnail slot="end">
                    <ion-icon (click)="validNotif(notif)" name="checkbox-outline" size="large" class="checkbox"></ion-icon>
                </ion-thumbnail>
            </ion-item>
        </ion-card>
        <p *ngIf="data.length === 0">{{ "HOME.ANY_NOTIF" | translate }}</p>
        <hr>
        <ion-grid>
            <ion-row no-padding>
                <ion-col size="6" *ngFor="let sensorNotif of sensorNotification">
                    <ion-card>
                        <ion-item>
                            <ion-thumbnail slot="start" [ngSwitch]="sensorNotif.sensor">
                                <ion-icon *ngSwitchCase="0" [ngStyle]="{'color': '#03A9F4'}" name="water" size="large"></ion-icon>
                                <ion-icon *ngSwitchCase="1" [ngStyle]="{'color': '#FFC107'}" name="sunny" size="large"></ion-icon>
                                <ion-icon *ngSwitchCase="2" [ngStyle]="{'color': '#66C139'}" name="podium" size="large"></ion-icon>
                                <ion-icon *ngSwitchCase="3" [ngStyle]="{'color': '#F44336'}" name="bonfire" size="large"></ion-icon>
                            </ion-thumbnail>
                            <ion-card-header [ngSwitch]="getType(sensorNotif.value)">
                                <ion-card-title *ngSwitchCase="'boolean'">{{ sensorNotif.value | boolean}}</ion-card-title>
                                <ion-card-title *ngSwitchDefault>{{ sensorNotif.value}} {{ sensorNotif.unity }}</ion-card-title>
                            </ion-card-header>
                        </ion-item>
                    </ion-card>
                </ion-col>
            </ion-row>
        </ion-grid>
    </div>
</ion-content>